import type { Editor } from "codemirror";
import type { Diagnostic } from "vscode-languageserver-protocol";
/**
 * Show diagnostics on the editor.
 * @param editor
 * @param diagnostics
 */
export declare const showDiagnostics: (editor: Editor, diagnostics: Diagnostic[]) => void;
/**
 * Remove diagnostics from the editor.
 * @param editor
 */
export declare const removeDiagnostics: (editor: Editor) => void;
